{ config, lib, pkgs, ... }:

{
  home.packages = with pkgs; [
    sway-launcher-desktop
    wl-clipboard
  ];

  home.file.".local/bin/sway-launcher-rbw" = {
    executable = true;
    text = ''
#!/usr/bin/env fish
PROVIDERS_FILE=providers/rbw.conf sway-launcher-desktop
'';
  };

  home.file.".local/bin/sway-launcher-niri-windows" = {
    executable = true;
    text = ''
#!/usr/bin/env fish
HIST_FILE="" PROVIDERS_FILE=providers/niri-windows.conf sway-launcher-desktop
'';
  };


  xdg.configFile."sway-launcher-desktop/providers" = {
    source = ./sway-launcher-providers;
    recursive = true;
  };
}
